export * from './fault';
export * from './processDrawing';

export enum UseStatusEnum {
	Enable = 1,
	Disable = 0,
}
export enum AdminTypeEnum {
	Normal = 0,
	Admin = 1,
	System = 99,
}
export const ADMIN_TYPE_MAP = {
	[AdminTypeEnum.Normal]: '普通用户',
	[AdminTypeEnum.Admin]: '管理员',
	[AdminTypeEnum.System]: '系统用户',
} as const;

export enum LoginPlatformEnum {
	Unknown = 0,
	Web = 1,
	Desktop = 2,
	WeChatApplet = 3,
}

export const LOGIN_PLATFORM_MAP = {
	[LoginPlatformEnum.Unknown]: '未知',
	[LoginPlatformEnum.Web]: '网页端',
	[LoginPlatformEnum.Desktop]: '客户端',
	[LoginPlatformEnum.WeChatApplet]: '小程序',
} as const;

export enum LoginOperationEnum {
	LoginIn = 0,
	LoginOut = 2,
}

export const LOGIN_OPERATION_MAP = {
	[LoginOperationEnum.LoginIn]: '登录',
	[LoginOperationEnum.LoginOut]: '退出',
} as const;

/**
 * 报警类型
 */
export enum AlarmTypeEnum {
	Upper = 1,
	Lower = 2,
	UnReasonable = 3,
}

export const ALARM_TYPE_MAP = {
	[AlarmTypeEnum.Upper]: '越上限',
	[AlarmTypeEnum.Lower]: '越下限',
	[AlarmTypeEnum.UnReasonable]: '非合理区间',
} as const;

/**
 * 接口模块
 */
export enum PHMApiModuleEnum {
	Phm = 'Phm',
	Dict = 'Dict',
	Unit = 'Unit',
	Basic = 'Basic',
	Monitor = 'Monitor',
	Assets = 'Assets',
	Health = 'Health',
	Core = 'Core',
	Fault = 'Fault',
	Trend = 'Trend',
	ArtImage = 'ArtImage',
}

export const PHM_API_MODULE_MAP = {
	[PHMApiModuleEnum.Phm]: '设备健康',
	[PHMApiModuleEnum.Dict]: '数据字典',
	[PHMApiModuleEnum.Unit]: '数据单位',
	[PHMApiModuleEnum.Basic]: '基础模块',
	[PHMApiModuleEnum.Monitor]: '监测模块',
	[PHMApiModuleEnum.Assets]: '资产模块',
	[PHMApiModuleEnum.Health]: '健康评价',
	[PHMApiModuleEnum.Core]: '核心模块',
	[PHMApiModuleEnum.Fault]: '故障诊断',
	[PHMApiModuleEnum.Trend]: '趋势分析',
	[PHMApiModuleEnum.ArtImage]: '工艺图',
} as const;

/**
 * sqi 接口模块
 */
export enum SQIApiModuleEnum {
	SQI = 'SQI',
	Dict = 'Dict',
	Unit = 'Unit',
	Basic = 'Basic',
	Monitor = 'Monitor',
	Core = 'Core',
}

export const SQI_API_MODULE_MAP = {
	[SQIApiModuleEnum.SQI]: '业务模块',
	[SQIApiModuleEnum.Dict]: '数据字典',
	[SQIApiModuleEnum.Unit]: '数据单位',
	[SQIApiModuleEnum.Basic]: '基础模块',
	[SQIApiModuleEnum.Monitor]: '监测模块',
	[SQIApiModuleEnum.Core]: '核心模块',
} as const;
export const SourceWayEnum = {
	0: '自动',
	1: '在线',
};

/** @description 二维位置坐标 */
export type TwoDPosition = {
	x: number;
	y: number;
};
